# project display test

import time, board, busio
import pwmio
from adafruit_motor import servo

from adafruit_ht16k33 import segments
from adafruit_apds9960.apds9960 import APDS9960
import neopixel, digitalio

from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

door_sensor=digitalio.DigitalInOut(board.GP10)
door_sensor.switch_to_input(pull=digitalio.Pull.UP)

# create a PWMOut object on Pin A2.
pwm = pwmio.PWMOut(board.GP21, frequency=50)

# Create a servo object, my_servo.
my_servo = servo.ContinuousServo(pwm)


i2c=board.STEMMA_I2C()
display=segments.Seg14x4(i2c)
multi_sensor=APDS9960(i2c)

multi_sensor.enable_proximity=True
display.brightness=.1

strip_pin=board.GP15
strip_num_of_lights=30
strip=neopixel.NeoPixel(strip_pin,strip_num_of_lights)
BLACK=(0,0,0)
GREEN=(0,255,0)



# set up the speaker
audio = AudioOut(board.GP16) # Assuming you've got tip of speaker plug wired to GP16

# set path to the folder where the sound files can be found on the device
path = "sounds/"

# Call this function, passing in a string (filename), with the extension (.wav)
def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            if len(str(count))>3:
                my_servo.throttle = 1
                display.print(str(count))
                display.show()
                for x in range(5):
                    for i in range(0,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
                    for i in range(1,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
            elif len(str(count))>2:
                my_servo.throttle = 1
                display.print("0"+str(count))
                display.show()
                for x in range(5):
                    for i in range(0,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
                    for i in range(1,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
            elif len(str(count))>1:
                my_servo.throttle = 1
                display.print("00"+str(count))
                display.show()
                for x in range(5):
                    for i in range(0,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
                    for i in range(1,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
            else:
                my_servo.throttle = 1
                display.print("000"+str(count))
                display.show()
                for x in range(5):
                    for i in range(0,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)
                    for i in range(1,30,2):
                        strip[i]=GREEN
                    time.sleep(.01)
                    strip.fill(BLACK)




count=0



while True:
    reading=multi_sensor.proximity
    if reading>13:
        time.sleep(.2)
        count+=1
        play_sound("cash.wav")
    if count==0:
        display.print("0000")
        display.show()
    if door_sensor.value:
        count=0
    my_servo.throttle = -.006





